Runtime

## org.eclipse.gmf.runtime.diagram.ui.properties.sections.appearance
Class ShapeColorsAndFontsPropertySection

    java.lang.Object
      org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
          org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractModelerPropertySection
              org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractNotationPropertiesSection
                  org.eclipse.gmf.runtime.diagram.ui.properties.sections.appearance.ColorsAndFontsPropertySection
                      org.eclipse.gmf.runtime.diagram.ui.properties.sections.appearance.ShapeColorsAndFontsPropertySection

All Implemented Interfaces:
  ISection

Direct Known Subclasses:
  DiagramColorsAndFontsPropertySection

public class ShapeColorsAndFontsPropertySection
extends ColorsAndFontsPropertySection

Colors section to represent line, font and fill colors properties of a 2D shape

Nested Class Summary

Nested classes inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.appearance.ColorsAndFontsPropertySection
`ColorsAndFontsPropertySection.ColorOverlayImageDescriptor`

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.appearance.ColorsAndFontsPropertySection
`colorsAndFontsGroup, DEFAULT_PREF_COLOR, FILL_COLOR_COMMAND_NAME, fillColor, fillColorButton, FONT_COLOR_COMMAND_NAME, FONT_COMMAND_NAME, fontColor, fontColorButton, fontFamilyCombo, FONTS_AND_COLORS_LABEL, LINE_COLOR_COMMAND_NAME, lineColor, lineColorButton`

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractNotationPropertiesSection
`button_margin, composite, standardLabelWidth, vertical_offset`

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractModelerPropertySection
`disposed, eObject, eventListener, input, propertiesProvider, VALUE_CHANGED_STRING`

Fields inherited from class org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
`STANDARD_LABEL_WIDTH`

Constructor Summary
`ShapeColorsAndFontsPropertySection()`

Method Summary
`protected void` `changeFillColor(SelectionEvent event)` Change fill color property value
`protected Composite` `createFontsGroup(Composite contents)` Create font tool bar group
`void` `refresh()`
`protected void` `updateColorCache()` react to selection or model change - updatye local cache

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.appearance.ColorsAndFontsPropertySection
`changeColor, changeColor, changeFontColor, changeLineColor, createFontsAndColorsGroups, dispose, disposeImage, getInputIterator, initializeControls, setInput, update, updateFontBold, updateFontFamily, updateFontItalic, updateFontSize`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractNotationPropertiesSection
`adapt, createControls, getAllNameLabels, getLabelProvider, getSingleInput, getStandardLabelWidth, isCurrentSelection, unwrap`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractModelerPropertySection

`aboutToBeHidden, aboutToBeShown, addToEObjectList, createCommand, createCommand, executeAsCompositeCommand, executeAsReadAction, getEditingDomain, getEObject, getEObjectList, getEventListener, getFilter, getInput, getPrimarySelection, getStandardLabelWidth, getUpdateRequestCollapser, handleElementModifiedEvent, isDisposed, isNotifierDeleted, isReadOnly, postUpdateRequest, setEditingDomain, setEObject, update`

Methods inherited from class org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
`getMinimumHeight, getPart, getSelection, getWidgetFactory, shouldUseExtraSpace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShapeColorsAndFontsPropertySection

    public ShapeColorsAndFontsPropertySection()

Method Detail

### createFontsGroup

    protected Composite createFontsGroup(Composite contents)

  Description copied from class: `ColorsAndFontsPropertySection`
  Create font tool bar group

  Overrides:
    `createFontsGroup` in class `ColorsAndFontsPropertySection`
  Parameters:
    `contents` - - parent composite
  Returns:
    - font tool bar

### updateColorCache

    protected void updateColorCache()

  Description copied from class: `ColorsAndFontsPropertySection`
  react to selection or model change - updatye local cache

  Overrides:
    `updateColorCache` in class `ColorsAndFontsPropertySection`

### changeFillColor

    protected void changeFillColor(SelectionEvent event)

  Change fill color property value

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `ISection`
  Overrides:
    `refresh` in class `ColorsAndFontsPropertySection`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.